165
S
S
S
S
S
L
L
S
S
S
L
L
S
S
R
L
L
S
L
L
L
S
S
S
S
S
S
S
S
S
S
S
S
S
S
S
S
L
S
S
S
S
S
S
S
L
S
S
S
S
S
L
S
S
S
S
S
S
S
L
S
S
S
S
S
S
S
S
L
L
L
S
S
S
S
S
S
L
L
S
S
S
S
S
R
R
S
S
S
S
S
S
L
L
S
S
S
S
S
R
R
S
S
S
S
S
S
L
L
S
S
S
S
S
S
R
R
S
S
S
S
S
S
L
L
S
S
S
S
S
S
S
S
S
S
S
S
S
S
L
S
S
S
S
S
S
S
S
R
S
S
S
S
S
S
S
S
S
S
S
S
S
S
S
S
